-
Data Grids / Data Management
-
Data Grid
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Grouping
-
Selection
- Focused Row
- Paging
-
Scrolling
-
Columns
-
Master-Detail
-
Data Summaries
-
Drag & Drop
-
Export to PDF
-
Export to Excel
- Appearance
-
Customization
- State Persistence
-
Adaptability
-
Keyboard Navigation
- Right-To-Left Support
-
Tree List
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Selection
- Focused Row
- Paging
-
Columns
- Drag & Drop
- State Persistence
- Adaptability
-
Keyboard Navigation
-
Card View
-
Pivot Grid
- Overview
-
Data Binding
-
Field Management
-
Data Summaries
- Drill Down
- Filtering
-
Scrolling
-
Export to Excel
- Chart Integration
- Customization
- State Persistence
-
Filter Builder
-
-
Data Visualization
-
Charts
- Overview
-
Data Binding
-
Common Concepts
-
Axis
-
Aggregation
-
Tooltips
-
Selection
-
Customization
-
Zooming
-
Export
-
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Funnel and Pyramid Charts
-
Line Charts
- Pareto Chart
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
- Sankey Chart
-
Sparkline Charts
-
Tree Map
-
Gauges
- Overview
-
Runtime update
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
-
Scheduling / Planning
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Appointments
-
Timetable
- Editing
-
Grouping
- Virtual Scrolling
- Drag & Drop
-
Customization
- Adaptability
-
Gantt
- Overview
- Data Binding
-
Filtering
- Sorting
- Strip Lines
- Export to PDF
- Validation
-
Customization
-
-
Messaging
-
WYSIWYG Editor
-
Forms
-
Data Editors
- Overview
-
Common Concepts
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Number Box
- Radio Group
-
Range Selector
- Range Slider
- Slider
- Speech To Text
- Switch
- Text Area
- Text Box
-
Drop-Downs
- Autocomplete
-
Drop Down Box
-
Select Box
-
Tag Box
-
Lookup
-
Buttons
-
File Upload / File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Popup and Notifications
-
Navigation
- Overview
- Accordion
-
Action Sheet
-
Context Menu
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
-
Stepper
- Pagination
-
List
-
Tree View
- Right-to-Left Support
-
Layout
-
Interactive Wrappers
-
Sortable
- Resizable
-
-
Progress Indicators
-
Maps
- Overview
-
Map
-
Vector Map
-
Data Binding
- Multiple Layers
-
Markers
- Legend
-
Zooming and Panning
-
Customization
-
-
Localization
Related Demos:
Your search did not match any results.
JavaScript/jQuery Vector Map - Legend
The JavaScript VectorMap component allows you to use color and size indicators to better illustrate the values associated with areas/markers. Use map legends to provide additional information on colors and marker size.
Backend API
$(() => {
$('#vector-map').dxVectorMap({
layers: [{
name: 'areas',
dataSource: DevExpress.viz.map.sources.world,
palette: 'Violet',
colorGroups: [0, 0.5, 0.8, 1, 2, 3, 100],
colorGroupingField: 'population',
label: {
enabled: true,
dataField: 'name',
},
customize(elements) {
$.each(elements, (_, element) => {
const name = element.attribute('name');
const population = populations[name];
if (population) {
element.attribute('population', population);
}
});
},
}, {
name: 'markers',
dataSource: markers,
elementType: 'bubble',
dataField: 'value',
sizeGroups: [0, 8000, 10000, 50000],
opacity: 0.8,
label: {
enabled: false,
},
}],
tooltip: {
enabled: true,
customizeTooltip(arg) {
return { text: arg.attribute('text') };
},
},
legends: [{
title: 'World Population\nPercentages',
source: { layer: 'areas', grouping: 'color' },
horizontalAlignment: 'left',
verticalAlignment: 'bottom',
customizeText(arg) {
if (arg.index === 0) {
return '< 0.5%';
}
if (arg.index === 5) {
return '> 3%';
}
return `${arg.start}% to ${arg.end}%`;
},
customizeItems(items) {
return items.reverse();
},
}, {
title: 'City Population',
source: { layer: 'markers', grouping: 'size' },
markerShape: 'circle',
horizontalAlignment: 'right',
verticalAlignment: 'bottom',
customizeText(arg) {
return ['< 8000K', '8000K to 10000K', '> 10000K'][arg.index];
},
customizeItems(items) {
return items.reverse();
},
}],
bounds: [-180, 85, 180, -75],
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.7/css/dx.light.css" />
<script src="js/dx.all.js?v=25.1.7"></script>
<script src="https://cdn3.devexpress.com/jslib/25.1.7/js/vectormap-data/world.js"></script>
<script src="https://cdn3.devexpress.com/jslib/25.1.7/js/vectormap-data/africa.js"></script>
<script src="https://cdn3.devexpress.com/jslib/25.1.7/js/vectormap-data/canada.js"></script>
<script src="https://cdn3.devexpress.com/jslib/25.1.7/js/vectormap-data/eurasia.js"></script>
<script src="https://cdn3.devexpress.com/jslib/25.1.7/js/vectormap-data/europe.js"></script>
<script src="https://cdn3.devexpress.com/jslib/25.1.7/js/vectormap-data/usa.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="vector-map"></div>
</div>
</body>
</html>
#vector-map {
height: 700px;
}
const populations = {
China: 19,
India: 17.4,
'United States': 4.44,
Indonesia: 3.45,
Brazil: 2.83,
Nigeria: 2.42,
Bangladesh: 2.18,
Russia: 2.04,
Japan: 1.77,
Mexico: 1.67,
Philippines: 1.39,
Vietnam: 1.25,
Ethiopia: 1.23,
Egypt: 1.21,
Germany: 1.13,
Turkey: 1.07,
'Democratic Republic of the Congo': 0.94,
France: 0.92,
Thailand: 0.9,
'United Kingdom': 0.89,
Italy: 0.85,
Burma: 0.84,
'South Africa': 0.74,
'South Korea': 0.7,
Colombia: 0.66,
Spain: 0.65,
Tanzania: 0.63,
Kenya: 0.62,
Ukraine: 0.6,
Argentina: 0.59,
Algeria: 0.54,
Poland: 0.54,
Sudan: 0.52,
Canada: 0.49,
Uganda: 0.49,
Morocco: 0.46,
Uzbekistan: 0.43,
};
const markers = {
type: 'FeatureCollection',
features: $.map([
{
coordinates: [-74, 40.7],
text: 'New York City',
value: 8406,
},
{
coordinates: [100.47, 13.75],
text: 'Bangkok',
value: 8281,
},
{
coordinates: [37.62, 55.75],
text: 'Moscow',
value: 12111,
},
{
coordinates: [121.5, 31.2],
text: 'Shanghai',
value: 24150,
},
{
coordinates: [-43.18, -22.9],
text: 'Rio de Janeiro',
value: 6429,
},
{
coordinates: [31.23, 30.05],
text: 'Cairo',
value: 8922,
},
{
coordinates: [28.95, 41],
text: 'Istanbul',
value: 14160,
},
{
coordinates: [127, 37.55],
text: 'Seoul',
value: 10388,
},
{
coordinates: [139.68, 35.68],
text: 'Tokyo',
value: 9071,
},
{
coordinates: [103.83, 1.28],
text: 'Singapore',
value: 5399,
},
{
coordinates: [30.3, 59.95],
text: 'Saint Petersburg',
value: 5131,
},
{
coordinates: [28.03, -26.2],
text: 'Johannesburg',
value: 4434,
},
{
coordinates: [144.95, -37.8],
text: 'Melbourne',
value: 4252,
},
], (data) => ({
type: 'Feature',
geometry: {
type: 'Point',
coordinates: data.coordinates,
},
properties: {
value: data.value,
text: data.text,
},
})),
};

Backend API
<dx-vector-map id="vector-map" [bounds]="[-180, 85, 180, -75]">
<dxo-vector-map-tooltip
[enabled]="true"
[customizeTooltip]="customizeTooltip"
></dxo-vector-map-tooltip>
<dxi-vector-map-layer
[dataSource]="worldMap"
name="areas"
palette="Violet"
[colorGroups]="[0, 0.5, 0.8, 1, 2, 3, 100]"
colorGroupingField="population"
[customize]="customizeLayers"
>
<dxo-vector-map-label
[enabled]="true"
dataField="name"
></dxo-vector-map-label>
</dxi-vector-map-layer>
<dxi-vector-map-layer
[dataSource]="markers"
name="markers"
elementType="bubble"
dataField="value"
[sizeGroups]="[0, 8000, 10000, 50000]"
opacity="0.8"
>
<dxo-vector-map-label [enabled]="false"></dxo-vector-map-label>
</dxi-vector-map-layer>
<dxi-vector-map-legend
title="World Population<br/>Percentages"
horizontalAlignment="left"
verticalAlignment="bottom"
[customizeItems]="customizeItems"
[customizeText]="customizeText"
>
<dxo-vector-map-source
layer="areas"
grouping="color"
></dxo-vector-map-source>
</dxi-vector-map-legend>
<dxi-vector-map-legend
title="City Population"
markerShape="circle"
horizontalAlignment="right"
verticalAlignment="bottom"
[customizeItems]="customizeItems"
[customizeText]="customizeMarkers"
>
<dxo-vector-map-source
layer="markers"
grouping="size"
></dxo-vector-map-source>
</dxi-vector-map-legend>
</dx-vector-map>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxVectorMapModule } from 'devextreme-angular';
import * as mapsData from 'devextreme-dist/js/vectormap-data/world.js';
import { FeatureCollection, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
imports: [
DxVectorMapModule,
],
})
export class AppComponent {
worldMap = mapsData.world;
markers: FeatureCollection;
populations: Object;
constructor(service: Service) {
this.markers = service.getMarkers();
this.populations = service.getPopulations();
this.customizeLayers = this.customizeLayers.bind(this);
}
customizeText({ index, start, end }) {
if (index === 0) {
return '< 0.5%';
}
return (index === 5)
? '> 3%'
: `${start}% to ${end}%`;
}
customizeTooltip = (arg: { attribute: Function }) => ({
text: arg.attribute('text'),
});
customizeItems = (items: unknown[]) => items.reverse();
customizeLayers(elements: { attribute: Function }[]) {
elements.forEach((element) => {
const name = element.attribute('name');
const population = this.populations[name];
if (population) {
element.attribute('population', population);
}
});
}
customizeMarkers = ({ index }) => ['< 8000K', '8000K to 10000K', '> 10000K'][index];
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
::ng-deep #vector-map {
height: 700px;
}
import { Injectable } from '@angular/core';
export class FeatureCollection {
type: string;
features: Feature[];
}
export class Feature {
type: string;
properties: FeatureProperty;
geometry: FeatureGeometry;
}
export class FeatureProperty {
value: number;
text: string;
}
export class FeatureGeometry {
type: string;
coordinates: number[];
}
const populations = {
China: 19,
India: 17.4,
'United States': 4.44,
Indonesia: 3.45,
Brazil: 2.83,
Nigeria: 2.42,
Bangladesh: 2.18,
Russia: 2.04,
Japan: 1.77,
Mexico: 1.67,
Philippines: 1.39,
Vietnam: 1.25,
Ethiopia: 1.23,
Egypt: 1.21,
Germany: 1.13,
Turkey: 1.07,
'Democratic Republic of the Congo': 0.94,
France: 0.92,
Thailand: 0.9,
'United Kingdom': 0.89,
Italy: 0.85,
Burma: 0.84,
'South Africa': 0.74,
'South Korea': 0.7,
Colombia: 0.66,
Spain: 0.65,
Tanzania: 0.63,
Kenya: 0.62,
Ukraine: 0.6,
Argentina: 0.59,
Algeria: 0.54,
Poland: 0.54,
Sudan: 0.52,
Canada: 0.49,
Uganda: 0.49,
Morocco: 0.46,
Uzbekistan: 0.43,
};
const markers: FeatureCollection = {
type: 'FeatureCollection',
features: [
{
coordinates: [-74, 40.7],
text: 'New York City',
value: 8406,
},
{
coordinates: [100.47, 13.75],
text: 'Bangkok',
value: 8281,
},
{
coordinates: [37.62, 55.75],
text: 'Moscow',
value: 12111,
},
{
coordinates: [121.5, 31.2],
text: 'Shanghai',
value: 24150,
},
{
coordinates: [-43.18, -22.9],
text: 'Rio de Janeiro',
value: 6429,
},
{
coordinates: [31.23, 30.05],
text: 'Cairo',
value: 8922,
},
{
coordinates: [28.95, 41],
text: 'Istanbul',
value: 14160,
},
{
coordinates: [127, 37.55],
text: 'Seoul',
value: 10388,
},
{
coordinates: [139.68, 35.68],
text: 'Tokyo',
value: 9071,
},
{
coordinates: [103.83, 1.28],
text: 'Singapore',
value: 5399,
},
{
coordinates: [30.3, 59.95],
text: 'Saint Petersburg',
value: 5131,
},
{
coordinates: [28.03, -26.2],
text: 'Johannesburg',
value: 4434,
},
{
coordinates: [144.95, -37.8],
text: 'Melbourne',
value: 4252,
},
].map((data) => ({
type: 'Feature',
geometry: {
type: 'Point',
coordinates: data.coordinates,
},
properties: {
value: data.value,
text: data.text,
},
})),
};
@Injectable()
export class Service {
getPopulations() {
return populations;
}
getMarkers(): FeatureCollection {
return markers;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme-dist/js/vectormap-data/*': {
'esModule': true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.68',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'devextreme-dist/js/vectormap-data': '../../../../js/vectormap-data',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.15.1/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.68/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"@angular/core": {
"version": "21.2.8"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "5.9.3"
},
"zone.js": {
"version": "0.15.1"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.6/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.15.1/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

Backend API
<template>
<DxVectorMap
id="vector-map"
:bounds="bounds"
>
<DxLayer
:data-source="mapsWorld"
:color-groups="colorGroups"
:customize="customizeLayer"
name="areas"
color-grouping-field="population"
palette="Violet"
>
<DxLabel
:enabled="true"
data-field="name"
/>
</DxLayer>
<DxLayer
:data-source="markers"
:size-groups="sizeGroups"
:opacity="0.8"
name="markers"
element-type="bubble"
data-field="value"
>
<DxLabel
:enabled="false"
/>
</DxLayer>
<DxLegend
:customize-items="customizeItems"
:customize-text="customizeText"
title="World Population<br/>Percentages"
horizontal-alignment="left"
vertical-alignment="bottom"
>
<DxSource
layer="areas"
grouping="color"
/>
</DxLegend>
<DxLegend
:customize-items="customizeItems"
:customize-text="customizeMarkers"
title="City Population"
marker-shape="circle"
horizontal-alignment="right"
vertical-alignment="bottom"
>
<DxSource
layer="markers"
grouping="size"
/>
</DxLegend>
<DxTooltip
:enabled="true"
:customize-tooltip="customizeTooltip"
/>
</DxVectorMap>
</template>
<script setup lang="ts">
// @ts-ignore
import * as mapsData from 'devextreme-dist/js/vectormap-data/world.js';
import {
DxVectorMap,
DxLabel,
DxLayer,
DxLegend,
DxSource,
DxTooltip,
type DxVectorMapTypes,
} from 'devextreme-vue/vector-map';
import { type MapLayerElement } from 'devextreme/viz/vector_map';
import { populations, markers } from './data.ts';
const colorGroups = [0, 0.5, 0.8, 1, 2, 3, 100];
const mapsWorld: Record<string, unknown> = mapsData.world;
const bounds = [-180, 85, 180, -75];
const sizeGroups = [0, 8000, 10000, 50000];
const customizeTooltip = (info: MapLayerElement) => ({ text: info.attribute('text') });
const customizeMarkers = ({ index }: any) => ['< 8000K', '8000K to 10000K', '> 10000K'][index];
const customizeItems = (items: DxVectorMapTypes.LegendItem[]) => items.reverse();
function customizeText({ index, start, end }: Record<string, any>) {
if (index === 0) {
return '< 0.5%';
}
return (index === 5) ? '> 3%' : `${start}% to ${end}%`;
}
function customizeLayer(elements: MapLayerElement[]) {
elements.forEach((element) => {
const name: string = element.attribute('name');
const population = populations[name];
if (population) {
element.attribute('population', population);
}
});
}
</script>
<style>
#vector-map {
height: 700px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'devextreme-dist/js/vectormap-data/*': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.4.27/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'devextreme-dist/js/vectormap-data': '../../../../js/vectormap-data',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.68/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
export const populations: Record<string, unknown> = {
China: 19,
India: 17.4,
'United States': 4.44,
Indonesia: 3.45,
Brazil: 2.83,
Nigeria: 2.42,
Bangladesh: 2.18,
Russia: 2.04,
Japan: 1.77,
Mexico: 1.67,
Philippines: 1.39,
Vietnam: 1.25,
Ethiopia: 1.23,
Egypt: 1.21,
Germany: 1.13,
Turkey: 1.07,
'Democratic Republic of the Congo': 0.94,
France: 0.92,
Thailand: 0.9,
'United Kingdom': 0.89,
Italy: 0.85,
Burma: 0.84,
'South Africa': 0.74,
'South Korea': 0.7,
Colombia: 0.66,
Spain: 0.65,
Tanzania: 0.63,
Kenya: 0.62,
Ukraine: 0.6,
Argentina: 0.59,
Algeria: 0.54,
Poland: 0.54,
Sudan: 0.52,
Canada: 0.49,
Uganda: 0.49,
Morocco: 0.46,
Uzbekistan: 0.43,
};
export const markers = {
type: 'FeatureCollection',
features: [
{
coordinates: [-74, 40.7],
text: 'New York City',
value: 8406,
},
{
coordinates: [100.47, 13.75],
text: 'Bangkok',
value: 8281,
},
{
coordinates: [37.62, 55.75],
text: 'Moscow',
value: 12111,
},
{
coordinates: [121.5, 31.2],
text: 'Shanghai',
value: 24150,
},
{
coordinates: [-43.18, -22.9],
text: 'Rio de Janeiro',
value: 6429,
},
{
coordinates: [31.23, 30.05],
text: 'Cairo',
value: 8922,
},
{
coordinates: [28.95, 41],
text: 'Istanbul',
value: 14160,
},
{
coordinates: [127, 37.55],
text: 'Seoul',
value: 10388,
},
{
coordinates: [139.68, 35.68],
text: 'Tokyo',
value: 9071,
},
{
coordinates: [103.83, 1.28],
text: 'Singapore',
value: 5399,
},
{
coordinates: [30.3, 59.95],
text: 'Saint Petersburg',
value: 5131,
},
{
coordinates: [28.03, -26.2],
text: 'Johannesburg',
value: 4434,
},
{
coordinates: [144.95, -37.8],
text: 'Melbourne',
value: 4252,
},
].map((data) => ({
type: 'Feature',
geometry: {
type: 'Point',
coordinates: data.coordinates,
},
properties: {
value: data.value,
text: data.text,
},
})),
};
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.6/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/typescript@5.9.3/lib/typescript.js"></script>
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>

Backend API
import React from 'react';
import VectorMap, {
ILayerProps,
ILegendProps,
ITooltipProps,
Label,
Layer,
Legend,
Source,
Tooltip,
} from 'devextreme-react/vector-map';
import * as mapsData from 'devextreme-dist/js/vectormap-data/world.js';
import { populations, markers } from './data.ts';
const colorGroups = [0, 0.5, 0.8, 1, 2, 3, 100];
const sizeGroups = [0, 8000, 10000, 50000];
const bounds = [-180, 85, 180, -75];
const customizeText = (arg: { index: number; start: any; end: any; }) => {
if (arg.index === 0) {
return '< 0.5%';
} if (arg.index === 5) {
return '> 3%';
}
return `${arg.start}% to ${arg.end}%`;
};
const customizeTooltip: ITooltipProps['customizeTooltip'] = (arg) => ({
text: arg.attribute('text'),
});
const customizeMarkers: ILegendProps['customizeText'] = (arg) => ['< 8000K', '8000K to 10000K', '> 10000K'][arg.index];
const customizeItems: ILegendProps['customizeItems'] = (items) => items.reverse();
const customizeLayer: ILayerProps['customize'] = (elements) => {
elements.forEach((element) => {
const name = element.attribute('name');
const population = populations[name];
if (population) {
element.attribute('population', population);
}
});
};
export default function App() {
return (
<VectorMap
id="vector-map" bounds={bounds}>
<Layer
dataSource={mapsData.world}
name="areas"
palette="Violet"
colorGroups={colorGroups}
colorGroupingField="population"
customize={customizeLayer}>
<Label enabled={true} dataField="name"></Label>
</Layer>
<Layer
dataSource={markers}
name="markers"
elementType="bubble"
dataField="value"
sizeGroups={sizeGroups}
opacity={0.8}>
<Label enabled={false}></Label>
</Layer>
<Legend
title="World Population<br/>Percentages"
horizontalAlignment="left"
verticalAlignment="bottom"
customizeItems={customizeItems}
customizeText={customizeText}>
<Source layer="areas" grouping="color"></Source>
</Legend>
<Legend
title="City Population"
markerShape="circle"
horizontalAlignment="right"
verticalAlignment="bottom"
customizeItems={customizeItems}
customizeText={customizeMarkers}>
<Source layer="markers" grouping="size"></Source>
</Legend>
<Tooltip enabled={true}
customizeTooltip={customizeTooltip} />
</VectorMap>
);
}
import React from 'react';
import VectorMap, {
Label, Layer, Legend, Source, Tooltip,
} from 'devextreme-react/vector-map';
import * as mapsData from 'devextreme-dist/js/vectormap-data/world.js';
import { populations, markers } from './data.js';
const colorGroups = [0, 0.5, 0.8, 1, 2, 3, 100];
const sizeGroups = [0, 8000, 10000, 50000];
const bounds = [-180, 85, 180, -75];
const customizeText = (arg) => {
if (arg.index === 0) {
return '< 0.5%';
}
if (arg.index === 5) {
return '> 3%';
}
return `${arg.start}% to ${arg.end}%`;
};
const customizeTooltip = (arg) => ({
text: arg.attribute('text'),
});
const customizeMarkers = (arg) => ['< 8000K', '8000K to 10000K', '> 10000K'][arg.index];
const customizeItems = (items) => items.reverse();
const customizeLayer = (elements) => {
elements.forEach((element) => {
const name = element.attribute('name');
const population = populations[name];
if (population) {
element.attribute('population', population);
}
});
};
export default function App() {
return (
<VectorMap
id="vector-map"
bounds={bounds}
>
<Layer
dataSource={mapsData.world}
name="areas"
palette="Violet"
colorGroups={colorGroups}
colorGroupingField="population"
customize={customizeLayer}
>
<Label
enabled={true}
dataField="name"
></Label>
</Layer>
<Layer
dataSource={markers}
name="markers"
elementType="bubble"
dataField="value"
sizeGroups={sizeGroups}
opacity={0.8}
>
<Label enabled={false}></Label>
</Layer>
<Legend
title="World Population<br/>Percentages"
horizontalAlignment="left"
verticalAlignment="bottom"
customizeItems={customizeItems}
customizeText={customizeText}
>
<Source
layer="areas"
grouping="color"
></Source>
</Legend>
<Legend
title="City Population"
markerShape="circle"
horizontalAlignment="right"
verticalAlignment="bottom"
customizeItems={customizeItems}
customizeText={customizeMarkers}
>
<Source
layer="markers"
grouping="size"
></Source>
</Legend>
<Tooltip
enabled={true}
customizeTooltip={customizeTooltip}
/>
</VectorMap>
);
}
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
export const populations = {
China: 19,
India: 17.4,
'United States': 4.44,
Indonesia: 3.45,
Brazil: 2.83,
Nigeria: 2.42,
Bangladesh: 2.18,
Russia: 2.04,
Japan: 1.77,
Mexico: 1.67,
Philippines: 1.39,
Vietnam: 1.25,
Ethiopia: 1.23,
Egypt: 1.21,
Germany: 1.13,
Turkey: 1.07,
'Democratic Republic of the Congo': 0.94,
France: 0.92,
Thailand: 0.9,
'United Kingdom': 0.89,
Italy: 0.85,
Burma: 0.84,
'South Africa': 0.74,
'South Korea': 0.7,
Colombia: 0.66,
Spain: 0.65,
Tanzania: 0.63,
Kenya: 0.62,
Ukraine: 0.6,
Argentina: 0.59,
Algeria: 0.54,
Poland: 0.54,
Sudan: 0.52,
Canada: 0.49,
Uganda: 0.49,
Morocco: 0.46,
Uzbekistan: 0.43,
};
export const markers = {
type: 'FeatureCollection',
features: [
{
coordinates: [-74, 40.7],
text: 'New York City',
value: 8406,
},
{
coordinates: [100.47, 13.75],
text: 'Bangkok',
value: 8281,
},
{
coordinates: [37.62, 55.75],
text: 'Moscow',
value: 12111,
},
{
coordinates: [121.5, 31.2],
text: 'Shanghai',
value: 24150,
},
{
coordinates: [-43.18, -22.9],
text: 'Rio de Janeiro',
value: 6429,
},
{
coordinates: [31.23, 30.05],
text: 'Cairo',
value: 8922,
},
{
coordinates: [28.95, 41],
text: 'Istanbul',
value: 14160,
},
{
coordinates: [127, 37.55],
text: 'Seoul',
value: 10388,
},
{
coordinates: [139.68, 35.68],
text: 'Tokyo',
value: 9071,
},
{
coordinates: [103.83, 1.28],
text: 'Singapore',
value: 5399,
},
{
coordinates: [30.3, 59.95],
text: 'Saint Petersburg',
value: 5131,
},
{
coordinates: [28.03, -26.2],
text: 'Johannesburg',
value: 4434,
},
{
coordinates: [144.95, -37.8],
text: 'Melbourne',
value: 4252,
},
].map((data) => ({
type: 'Feature',
geometry: {
type: 'Point',
coordinates: data.coordinates,
},
properties: {
value: data.value,
text: data.text,
},
})),
};
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'devextreme-dist/js/vectormap-data/*': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
defaultExtension: 'js',
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'devextreme-dist/js/vectormap-data': '../../../../js/vectormap-data',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@25.1.5/cjs',
'devextreme-react': 'npm:devextreme-react@25.1.5/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.4/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.21/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.64/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
export const populations = {
China: 19,
India: 17.4,
'United States': 4.44,
Indonesia: 3.45,
Brazil: 2.83,
Nigeria: 2.42,
Bangladesh: 2.18,
Russia: 2.04,
Japan: 1.77,
Mexico: 1.67,
Philippines: 1.39,
Vietnam: 1.25,
Ethiopia: 1.23,
Egypt: 1.21,
Germany: 1.13,
Turkey: 1.07,
'Democratic Republic of the Congo': 0.94,
France: 0.92,
Thailand: 0.9,
'United Kingdom': 0.89,
Italy: 0.85,
Burma: 0.84,
'South Africa': 0.74,
'South Korea': 0.7,
Colombia: 0.66,
Spain: 0.65,
Tanzania: 0.63,
Kenya: 0.62,
Ukraine: 0.6,
Argentina: 0.59,
Algeria: 0.54,
Poland: 0.54,
Sudan: 0.52,
Canada: 0.49,
Uganda: 0.49,
Morocco: 0.46,
Uzbekistan: 0.43,
};
export const markers = {
type: 'FeatureCollection',
features: [
{
coordinates: [-74, 40.7],
text: 'New York City',
value: 8406,
},
{
coordinates: [100.47, 13.75],
text: 'Bangkok',
value: 8281,
},
{
coordinates: [37.62, 55.75],
text: 'Moscow',
value: 12111,
},
{
coordinates: [121.5, 31.2],
text: 'Shanghai',
value: 24150,
},
{
coordinates: [-43.18, -22.9],
text: 'Rio de Janeiro',
value: 6429,
},
{
coordinates: [31.23, 30.05],
text: 'Cairo',
value: 8922,
},
{
coordinates: [28.95, 41],
text: 'Istanbul',
value: 14160,
},
{
coordinates: [127, 37.55],
text: 'Seoul',
value: 10388,
},
{
coordinates: [139.68, 35.68],
text: 'Tokyo',
value: 9071,
},
{
coordinates: [103.83, 1.28],
text: 'Singapore',
value: 5399,
},
{
coordinates: [30.3, 59.95],
text: 'Saint Petersburg',
value: 5131,
},
{
coordinates: [28.03, -26.2],
text: 'Johannesburg',
value: 4434,
},
{
coordinates: [144.95, -37.8],
text: 'Melbourne',
value: 4252,
},
].map((data) => ({
type: 'Feature',
geometry: {
type: 'Point',
coordinates: data.coordinates,
},
properties: {
value: data.value,
text: data.text,
},
})),
};
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#vector-map {
height: 700px;
}